
From: Adrian Bunk <bunk@stusta.de>

I haven't found any modular usage of kmap_{pte,port} on !ppc in the 
kernel.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 /dev/null                    |    0 
 25-akpm/arch/i386/mm/init.c  |    3 ---
 25-akpm/arch/mips/mm/init.c  |    3 ---
 25-akpm/arch/sparc/mm/init.c |    3 ---
 4 files changed, 9 deletions(-)

diff -puN arch/i386/mm/init.c~unexport-kmap_pteport-on-ppc arch/i386/mm/init.c
--- 25/arch/i386/mm/init.c~unexport-kmap_pteport-on-ppc	Fri Mar 11 14:41:25 2005
+++ 25-akpm/arch/i386/mm/init.c	Fri Mar 11 14:41:25 2005
@@ -233,9 +233,6 @@ static inline int page_is_ram(unsigned l
 pte_t *kmap_pte;
 pgprot_t kmap_prot;
 
-EXPORT_SYMBOL(kmap_prot);
-EXPORT_SYMBOL(kmap_pte);
-
 #define kmap_get_fixmap_pte(vaddr)					\
 	pte_offset_kernel(pmd_offset(pud_offset(pgd_offset_k(vaddr), vaddr), (vaddr)), (vaddr))
 
diff -L arch/i386/mm/init.c.old -puN /dev/null /dev/null
diff -puN arch/mips/mm/init.c~unexport-kmap_pteport-on-ppc arch/mips/mm/init.c
--- 25/arch/mips/mm/init.c~unexport-kmap_pteport-on-ppc	Fri Mar 11 14:41:25 2005
+++ 25-akpm/arch/mips/mm/init.c	Fri Mar 11 14:41:25 2005
@@ -82,9 +82,6 @@ unsigned long setup_zero_pages(void)
 pte_t *kmap_pte;
 pgprot_t kmap_prot;
 
-EXPORT_SYMBOL(kmap_prot);
-EXPORT_SYMBOL(kmap_pte);
-
 #define kmap_get_fixmap_pte(vaddr)					\
 	pte_offset_kernel(pmd_offset(pgd_offset_k(vaddr), (vaddr)), (vaddr))
 
diff -L arch/mips/mm/init.c.old -puN /dev/null /dev/null
diff -puN arch/sparc/mm/init.c~unexport-kmap_pteport-on-ppc arch/sparc/mm/init.c
--- 25/arch/sparc/mm/init.c~unexport-kmap_pteport-on-ppc	Fri Mar 11 14:41:25 2005
+++ 25-akpm/arch/sparc/mm/init.c	Fri Mar 11 14:41:25 2005
@@ -59,9 +59,6 @@ unsigned long highstart_pfn, highend_pfn
 pte_t *kmap_pte;
 pgprot_t kmap_prot;
 
-EXPORT_SYMBOL(kmap_prot);
-EXPORT_SYMBOL(kmap_pte);
-
 #define kmap_get_fixmap_pte(vaddr) \
 	pte_offset_kernel(pmd_offset(pgd_offset_k(vaddr), (vaddr)), (vaddr))
 
diff -L arch/sparc/mm/init.c.old -puN /dev/null /dev/null
_
